# WOK
TKWOK
WOKBuilder

# WOKBuilder_Entity Class Reference

`#include <WOKBuilder_Entity.hxx>`

Inheritance diagram for WOKBuilder_Entity:

[legend]

## Public Member Functions

const Handle_WOKUtils_Path & | Path () const
Standard_EXPORT void | SetPath (const Handle(WOKUtils_Path)&apath)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKBuilder_Entity (const Handle(WOKUtils_Path)&apath)

## Private Attributes

Handle_WOKUtils_Path | mypath

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_Entity::WOKBuilder_Entity | ( | const Handle(WOKUtils_Path)& | apath | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const WOKBuilder_Entity::Handle | ( | Standard_Type |  | ) | const

Reimplemented in WOKBuilder_ArchiveLibrary, WOKBuilder_CDLFile, WOKBuilder_CodeGenFile, WOKBuilder_Compilable, WOKBuilder_CompressedFile, WOKBuilder_DEFile, WOKBuilder_DLLFile, WOKBuilder_Executable, WOKBuilder_EXEFile, WOKBuilder_ExportLibrary, WOKBuilder_ImportLibrary, WOKBuilder_Include, WOKBuilder_Library, WOKBuilder_ManifestLibrary, WOKBuilder_MFile, WOKBuilder_Miscellaneous, WOKBuilder_MSEntity, WOKBuilder_ObjectFile, WOKBuilder_PDBFile, WOKBuilder_SharedLibrary, WOKBuilder_Specification, WOKBuilder_StaticLibrary, WOKBuilder_TarFile, WOKOBJS_AppSchCxxFile, WOKOBJS_AppSchema, WOKOBJS_LibSchema, and WOKOrbix_IDLFile.

const Handle_WOKUtils_Path& WOKBuilder_Entity::Path | ( |  | ) | const

Standard_EXPORT void WOKBuilder_Entity::SetPath | ( | const Handle(WOKUtils_Path)& | apath | ) |

## Field Documentation

Handle_WOKUtils_Path WOKBuilder_Entity::mypath `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_Entity.hxx